import request from '@/utils/request'

// 查询仓库货位列表
export function listWarehouseLocation(query) {
  return request({
    url: '/business/warehouseLocation/list',
    method: 'get',
    params: query
  })
}

// 查询仓库货位详细
export function getWarehouseLocation(id) {
  return request({
    url: '/business/warehouseLocation/' + id,
    method: 'get'
  })
}

// 新增仓库货位
export function addWarehouseLocation(data) {
  return request({
    url: '/business/warehouseLocation',
    method: 'post',
    data: data
  })
}

// 修改仓库货位
export function updateWarehouseLocation(data) {
  return request({
    url: '/business/warehouseLocation',
    method: 'put',
    data: data
  })
}

// 删除仓库货位
export function delWarehouseLocation(id) {
  return request({
    url: '/business/warehouseLocation/' + id,
    method: 'delete'
  })
}
